# The following command synopsis is assumed:
#
#           wish xbitInit.tcl [xbit.dll]
#           wish path_of_xbitInit.tcl [xbit.dll]

 wm withdraw .

# set xbitSource .tcl

# set xbitAppScripts {program.tcl}
# set xbitConScripts {program.tcl contk.tcl}

 set xbitAppScripts {program.lib}
 set xbitConScripts {program.lib contk.lib}

global gimgHome 

if [info exists env(GHOME)] {
    set gimgHome $env(GHOME)
} else { 
    set gimgHome [file dir $argv0] 
    if {$gimgHome == "."} { 
        set gimgHome [pwd] 
    } 
}

source [file join $gimgHome xbitenv.tcl]

if {$argv == ""} {
    set dll xbit[expr int($tcl_version*10)].dll
    if ![file exists [file join $gimgHome $dll]] {
        set dll xbit[expr int($tcl_version*10)]e.dll
    }
} else {
    set dll $argv
}  

set env(xbitDLL) $dll

if [catch "load {[file join $gimgHome $dll]} Console" err] {
    global tk_version
    tk_messageBox -message "Error in loading XBit - $err" -title "Wish $tk_version" -icon error
    exit
}

#    if {$xbitAppScripts == "program.lib"} {
#    	foreach xbitlib {terra rimage gmap} {
#            catch "calc decompload [file join $gimgHome $xbitlib.lib]"
#    	}
#    }
    
#    if ![xbit.license verify RIMAGEPRO] {
#        after idle "calc decompload [file join $gimgHome xbit.lib]"
#    } 

# after idle conTk set xbitDLL $dll
















































































