# @BEGIN_TEXTDEF
global gimgHome env

set pwd [pwd]

if ![info exists gimgHome] { 
    set gimgHome [pwd]
} 
cd $gimgHome 

source xbitenv.tcl

if [info exists env(xbitDLL)] {
    set xbit $env(xbitDLL)
} elseif { $tcl_version < 8.1 } {
    set xbit [file join . xbit[expr int($tcl_version*10)].dll]
    if ![file exists $xbit] {
        set xbit [file join . xbit[expr int($tcl_version*10)]e.dll]
    }
} else {
    set xbit [file join . xbit.dll]
    if ![file exists $xbit] {
	set xbit [file join . xbit[expr int($tcl_version*10)].dll]
	if ![file exists $xbit] {
            set xbit [file join . xbit[expr int($tcl_version*10)]e.dll]
	}
    }
}

load $xbit

catch {
    tiff.init
    dicom.init
    geotiff.MetaInit
}

cd $pwd







# @END_TEXTDEF
# @BEGIN_TAGDEF
# @END_TAGDEF
# @BEGIN_CONFIG
# "-font -*-Courier-Medium-R-Normal-*-*-140-*-*-*-*-*-* -tabs {} -background #c0c0c0c0c0c0 -foreground #000000000000 -wrap none -spacing1 0 -spacing2 0 -spacing3 0"
# @END_CONFIG
